<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Dashboard</title>
    <!-- NAVIGATION -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css">
  <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.0/dist/jquery.slim.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js"></script>
    <link
      rel="stylesheet"
      href="https://bootswatch.com/4/lux/bootstrap.min.css"
    />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  </head>
  <body>
    <!-- navigation -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <a class="navbar-brand" href="/">Staff List</a>
    </nav>
    <form action="/staff/add">
      <input type="submit" class="fadeIn fourth" value="Add Staff" />
    </form>
    <div class="container mt-5">
      <div class="row">
        <div class="col-md-12">
          <table class="table table-bordered table-hover table-responsive">
            <thead>
              <tr>
                <td>#</td>
                <td>Id</td>
                <td>Name</td>
                <td>Email</td>
                <td>Phone</td>
                <td>Passowrd</td>
                <td>Action</td>
              </tr>
            </thead>
            <tbody>
              <% if (data) { %> <% for(var i = 0; i < data.length; i++) { %>
              <tr>
                <td><%= (i + 1) %></td>
                <td><%= data[i].id %></td>
                <td><%= data[i].name %></td>
                <td><%= data[i].email %></td>
                <td><%= data[i].phone %></td>
                <td><%= data[i].password %></td>
                <td>
                  <a href="/staff/update/<%= data[i].id %>" class="btn btn-info"><button><i class="fa fa-pencil"></i></button> </a>
                  <a href="/staff/delete/<%= data[i].id %>" class="btn btn-info"><button><i class="fa fa-trash"></i></i></button> </a>
                </td>
              </tr>
              <% } %> <% } %>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </body>
</html>
